package com.jpsoft.smart.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.ProjectInfo;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface ProjectInfoDAO {
	int insert(ProjectInfo entity);
	int update(ProjectInfo entity);
	int exist(String id);
	ProjectInfo get(String id);
	int delete(String id);
	List<ProjectInfo> list();
	List<ProjectInfo> search(Map<String,Object> searchParams,List<Sort> sortList);

    ProjectInfo findOneByCompanyId(String companyId);

	ProjectInfo findOneByProjectCode(String projectCode);
}