package com.jpsoft.smart.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.smart.modules.base.entity.ProjectInfo;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface ProjectInfoService {
	ProjectInfo get(String id);
	boolean exist(String id);
	int insert(ProjectInfo model);
	int update(ProjectInfo model);
	int delete(String id);
	List<ProjectInfo> list();
	Page<ProjectInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
    ProjectInfo findOneByCompanyId(String companyId);
    ProjectInfo findOneByProjectCode(String projectCode);
}