package com.jpsoft.smart.modules.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author 墨鱼_mo
 * @date 2020-4-27 10:22
 */
@Data
public class WorkAttendanceDTO {

    private Long personId;

    private String personName;

    private String faceImageUrl;

    private String status;

    private String approvalPersonName;

    private String approvalContent;

    private String typeN;

    private String approvalNo;

    private String companyName;

    private String fillAttendanceDayAndTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private String content;

    private String fillAttendanceFilesUrl;


}
