package com.jpsoft.smart.modules.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author 墨鱼_mo
 * @date 2020-4-27 18:54
 */
@Data
public class WorkDTO {

    private String id;

    /**
     * 补卡记录id
     */
    private String fillAttendanceId;

    private String status;

    private String statusN;

    @DateTimeFormat(pattern = "MM-dd HH:mm")
    @JsonFormat(pattern = "MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "记录时间")
    private Date recordTime;

    private String result;


}
