package com.jpsoft.smart.modules.business.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.base.entity.PersonInfo;
import com.jpsoft.smart.modules.business.entity.FillAttendance;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface FillAttendanceService {
	FillAttendance get(String id);
	boolean exist(String id);
	int insert(FillAttendance model);
	int update(FillAttendance model);
	int delete(String id);
	List<FillAttendance> list();
	Page<FillAttendance> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    FillAttendance insertAndfile(String workAttendanceId, String workAttendanceDate, String workAttendanceTime, String content, String type, String photoFile, String approvalPersonId,Long personId,String alarmConfigId) throws Exception;


	void updateAndWorkAtten(PersonInfo personInfo, String content, FillAttendance fillAttendance);

    FillAttendance findByBusinessWorkAttendanceId(String id);
}